package com.siginfo.vo;

import java.util.HashMap;
import java.util.Map;

public class TbRegionCenterVO {

	private String regionCd;
	private String regionNm;
	private String regionCenterId;
	private String regionCenterPasswd;
	private String fileUpdDt;
	private String simulFlag;
	private Double xCoord;
	private Double yCoord;
	private String ipAddress;
	private Integer commPort;
	private String regDate;
	private String commState;
	private Long errTimeGap;
	private Integer regionId;
	private String connDate;
	private String disconDate;
	private String commHistYn;
	private Map<Long, TbIntVO> intMap = new HashMap<Long, TbIntVO>();

	public Map<Long, TbIntVO> getIntMap() {
		return intMap;
	}

	public void setIntMap(Map<Long, TbIntVO> intMap) {
		this.intMap = intMap;
	}
	public String getRegionCd() {
		return regionCd;
	}
	public void setRegionCd(String regionCd) {
		this.regionCd = regionCd;
	}
	public String getRegionNm() {
		return regionNm;
	}
	public void setRegionNm(String regionNm) {
		this.regionNm = regionNm;
	}
	public String getRegionCenterId() {
		return regionCenterId;
	}
	public void setRegionCenterId(String regionCenterId) {
		this.regionCenterId = regionCenterId;
	}
	public String getRegionCenterPasswd() {
		return regionCenterPasswd;
	}
	public void setRegionCenterPasswd(String regionCenterPasswd) {
		this.regionCenterPasswd = regionCenterPasswd;
	}
	public String getFileUpdDt() {
		return fileUpdDt;
	}
	public void setFileUpdDt(String fileUpdDt) {
		this.fileUpdDt = fileUpdDt;
	}
	public String getSimulFlag() {
		return simulFlag;
	}
	public void setSimulFlag(String simulFlag) {
		this.simulFlag = simulFlag;
	}
	public Double getxCoord() {
		return xCoord;
	}
	public void setxCoord(Double xCoord) {
		this.xCoord = xCoord;
	}
	public Double getyCoord() {
		return yCoord;
	}
	public void setyCoord(Double yCoord) {
		this.yCoord = yCoord;
	}
	public String getIpAddress() {
		return ipAddress;
	}
	public void setIpAddress(String ipAddress) {
		this.ipAddress = ipAddress;
	}
	public Integer getCommPort() {
		return commPort;
	}
	public void setCommPort(Integer commPort) {
		this.commPort = commPort;
	}
	public String getRegDate() {
		return regDate;
	}
	public void setRegDate(String regDate) {
		this.regDate = regDate;
	}
	public String getCommState() {
		return commState;
	}
	public void setCommState(String commState) {
		this.commState = commState;
	}
	public Long getErrTimeGap() {
		return errTimeGap;
	}
	public void setErrTimeGap(Long errTimeGap) {
		this.errTimeGap = errTimeGap;
	}
	public Integer getRegionId() {
		return regionId;
	}
	public void setRegionId(Integer regionId) {
		this.regionId = regionId;
	}
	public String getConnDate() {
		return connDate;
	}
	public void setConnDate(String connDate) {
		this.connDate = connDate;
	}
	public String getDisconDate() {
		return disconDate;
	}
	public void setDisconDate(String disconDate) {
		this.disconDate = disconDate;
	}
	public String getCommHistYn() {
		return commHistYn;
	}
	public void setCommHistYn(String commHistYn) {
		this.commHistYn = commHistYn;
	}

	@Override
	public String toString() {
		return "TbRegionCenterVO [regionCd=" + regionCd + ", regionNm=" + regionNm + ", regionCenterId="
				+ regionCenterId + ", regionCenterPasswd=" + regionCenterPasswd + ", fileUpdDt=" + fileUpdDt
				+ ", simulFlag=" + simulFlag + ", xCoord=" + xCoord + ", yCoord=" + yCoord + ", ipAddress=" + ipAddress
				+ ", commPort=" + commPort + ", regDate=" + regDate + ", commState=" + commState + ", errTimeGap="
				+ errTimeGap + ", regionId=" + regionId + ", connDate=" + connDate + ", disconDate=" + disconDate
				+ ", commHistYn=" + commHistYn + ", intMap=" + intMap + "]";
	}
}
